Name: beetoo
Summary: BeeToo -- A modified B2 theme for KWin
Version: 0.8.2
Release: 1
Copyright: GPL
Group: X11/KDE/Utilities
Source: ftp.kde.org/pub/kde/unstable/apps/utils/BeeToo-0.8.2.tar.bz2
Packager: Luciano Montanaro <mikelima@virgilio.it>
BuildRoot: /tmp/BeeToo-0.8.2
Prefix: /opt/kde3

%description
This theme is derived from B2, and looks and feels just the same except 
for the following changes:
* A double-click action can be associated to the menu button, to close
  the window or to iconify it
* Unresizable windows do not show the resize handle
* The handle can optionally be turned off for all windows
* The title bar uses the gradient if the TitleBlend color is specified,
  the gradient effect can be choosen from a list of predefined or custom
  styles.
* The title bar buttons are hilighted when the cursor is over them
* The thickness of the window frame can be changed
* The bouding box for transparent movement or resize has the same outline
  as the window.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n BeeToo-0.8.2

%build
./configure --disable-debug --enable-final --prefix=%{prefix}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%{prefix}/lib/kde3/kwin_beetoo.so
%{prefix}/lib/kde3/kwin_beetoo.la
%{prefix}/lib/kde3/kwin_beetoo_config.so
%{prefix}/lib/kde3/kwin_beetoo_config.la
%{prefix}/share/apps/kwin/beetoo.desktop
%{prefix}/share/apps/kwin/beetoo/Default.b2effect
%{prefix}/share/apps/kwin/beetoo/Flat.b2effect
%{prefix}/share/apps/kwin/beetoo/3D.b2effect
%{prefix}/share/apps/kwin/beetoo/Striped.b2effect
%{prefix}/share/apps/kwin/beetoo/Barrel.b2effect
%{prefix}/share/apps/kwin/beetoo/Hilight.b2effect
